Loading...
Searching...
No Matches
SymbolicFactor-inst.h File Reference

Go to the source code of this file.

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

template<class FACTOR>
std::pair< boost::shared_ptr< SymbolicConditional >, boost::shared_ptr< SymbolicFactor > > | gtsam::internal::EliminateSymbolic (const FactorGraph< FACTOR > &factors, const Ordering &keys)
| Implementation of dense elimination function for symbolic factors.

## Detailed Description

Author
  Richard Roberts

Date
  Oct 17, 2010

## Function Documentation

## EliminateSymbolic()

template<class FACTOR>

std::pair< boost::shared_ptr< SymbolicConditional >, boost::shared_ptr< SymbolicFactor > > gtsam::internal::EliminateSymbolic | ( | const FactorGraph< FACTOR > & | factors,
|  | const Ordering & | keys )

Implementation of dense elimination function for symbolic factors.

This is a templated version for internally doing symbolic elimination on any factor.